summaryrefslogtreecommitdiffstats
path: root/libraries/DevIL
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/DevIL')
-rw-r--r--libraries/DevIL/DevIL.SlackBuild57
-rw-r--r--libraries/DevIL/DevIL.info8
-rw-r--r--libraries/DevIL/README16
-rw-r--r--libraries/DevIL/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/libraries/DevIL/DevIL.SlackBuild b/libraries/DevIL/DevIL.SlackBuild
new file mode 100644
index 0000000000..c169be9fdf
--- /dev/null
+++ b/libraries/DevIL/DevIL.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for DevIL
+# Written by Phil Warner <pc_warner@yahoo.com>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=DevIL
+VERSION=1.6.8
+PKG_VERSION=${VERSION}_rc2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$(echo $PKG_VERSION | tr _ -).tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+force_arch="$ARCH" make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CREDITS ChangeLog INSTALL Libraries.txt \
+ NEWS README README.unix TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/DevIL/DevIL.info b/libraries/DevIL/DevIL.info
new file mode 100644
index 0000000000..9596f9a079
--- /dev/null
+++ b/libraries/DevIL/DevIL.info
@@ -0,0 +1,8 @@
+PRGNAM="DevIL"
+VERSION="1.6.8_rc2"
+HOMEPAGE="http://openil.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/openil/DevIL-1.6.8-rc2.tar.gz"
+MD5SUM="9d815c8637adb6fb6c25c38dc178aca2"
+MAINTAINER="Phil Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="rworkman"
diff --git a/libraries/DevIL/README b/libraries/DevIL/README
new file mode 100644
index 0000000000..5cf9e09ca9
--- /dev/null
+++ b/libraries/DevIL/README
@@ -0,0 +1,16 @@
+Developer's Image Library (DevIL), formerly called OpenIL, is a programmer's
+library to develop applications with very powerful image loading capabilities,
+yet is easy for a developer to learn and use. Ultimate control of images is
+left to the developer, so unnecessary conversions, etc. are not performed.
+DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save, convert,
+manipulate, filter and display a wide variety of image formats.
+
+Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg, .lbm,
+.mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm, .psd, .psp, .raw,
+.sgi, .tga and .tif .hdr files.
+Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm, .pcx,
+.hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif.
+
+DevIL currently supports the following APIs for display: OpenGL, Windows GDI,
+SDL, DirectX and Allegro. Compilers that can compile DevIL or use it include
+Djgpp, MSVC++, Linux gcc, Delphi, Visual Basic, Power Basic and Dev-C++.
diff --git a/libraries/DevIL/slack-desc b/libraries/DevIL/slack-desc
new file mode 100644
index 0000000000..7ac9c393ff
--- /dev/null
+++ b/libraries/DevIL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+DevIL: DevIL (image library)
+DevIL:
+DevIL: Developer's Image Library (DevIL) is a programmer's library to
+DevIL: develop applications with very powerful image loading capabilities,
+DevIL: yet is easy for a developer to learn and use. Ultimate control of
+DevIL: images is left to the developer, so unnecessary conversions, etc.
+DevIL: are not performed. DevIL utilizes a simple, yet powerful, syntax.
+DevIL: DevIL can load, save, convert, manipulate, filter and display a
+DevIL: wide variety of image formats.
+DevIL:
+DevIL: http://openil.sourceforge.net/